﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 23/09/2022 10:15:39
-- Server version: 5.5.5-10.4.11-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica6;

CREATE DATABASE IF NOT EXISTS practica6
CHARACTER SET utf8mb4
COLLATE utf8mb4_general_ci;

--
-- Set default database
--
USE practica6;

--
-- Create table `coche`
--
CREATE TABLE IF NOT EXISTS coche (
  matricula varchar(10) NOT NULL,
  marca varchar(100) DEFAULT NULL,
  modelo varchar(100) DEFAULT NULL,
  color varchar(100) DEFAULT NULL,
  precio float DEFAULT NULL,
  PRIMARY KEY (matricula)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = 'coches vendidos';

--
-- Create table `revision`
--
CREATE TABLE IF NOT EXISTS revision (
  codigo int(11) NOT NULL AUTO_INCREMENT,
  filtro varchar(100) DEFAULT NULL,
  aceite varchar(100) DEFAULT NULL,
  frenos varchar(100) DEFAULT NULL,
  `matricula-coche` varchar(10) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create foreign key
--
ALTER TABLE revision
ADD CONSTRAINT fkRevisionCoche FOREIGN KEY (`matricula-coche`)
REFERENCES coche (matricula);

--
-- Create table `cliente`
--
CREATE TABLE IF NOT EXISTS cliente (
  nif varchar(10) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  direccion varchar(500) DEFAULT NULL,
  ciudad varchar(100) DEFAULT NULL,
  tfno varchar(20) DEFAULT NULL COMMENT 'telefono del cliente completo',
  PRIMARY KEY (nif)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `compra`
--
CREATE TABLE IF NOT EXISTS compra (
  `nif-cliente` varchar(10) NOT NULL,
  `matricula-coche` varchar(10) NOT NULL,
  PRIMARY KEY (`nif-cliente`, `matricula-coche`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create index `matricula-coche` on table `compra`
--
ALTER TABLE compra
ADD UNIQUE INDEX `matricula-coche` (`matricula-coche`);

--
-- Create foreign key
--
ALTER TABLE compra
ADD CONSTRAINT fkCompraCliente FOREIGN KEY (`nif-cliente`)
REFERENCES cliente (nif);

--
-- Create foreign key
--
ALTER TABLE compra
ADD CONSTRAINT fkCompraCoche FOREIGN KEY (`matricula-coche`)
REFERENCES coche (matricula);

-- 
-- Dumping data for table coche
--
INSERT INTO coche(matricula, marca, modelo, color, precio) VALUES
('0000ccc', 'ford', 'mondeo', 'blanco', 5000),
('1111bbb', 'toyota', 'celica', 'rojo', 10000),
('1234aaa', 'ford', 'cupra', 'rojo', 10000);

-- 
-- Dumping data for table cliente
--
INSERT INTO cliente(nif, nombre, direccion, ciudad, tfno) VALUES
('10101010b', 'Ana', 'luis', 'Loredo', NULL),
('20202020a', 'Jorge', 'alta', 'santander', '456456456');

-- 
-- Dumping data for table revision
--
INSERT INTO revision(codigo, filtro, aceite, frenos, `matricula-coche`) VALUES
(1, '1', '1', '0', '1234aaa');

-- 
-- Dumping data for table compra
--
INSERT INTO compra(`nif-cliente`, `matricula-coche`) VALUES
('10101010b', '1111bbb'),
('20202020a', '1234aaa');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;